Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83207 - Multiple grep|awk pipelines in /etc/rc.d/rc.sysinit inefficient
Summary: Multiple grep|awk pipelines in /etc/rc.d/rc.sysinit inefficient
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 7.3
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-31 09:23 UTC by Need Real Name
Modified: 2014-03-17 02:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-09-04 01:53:19 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-01-31 09:23:37 UTC
Description of problem:
Repeated use of grep and awk in the same command pipeline, even though awk has
its own pattern-matching engine, is inefficient and looks unprofessional. This
occurs at lines 259, 298, 439 and 677 in /etc/rc.sysinit.

Version-Release number of selected component (if applicable):
initscripts-6.67-1

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.
    
Actual results:
N/A

Expected results:
N/A

Additional info:
Suggest that pipelines are rewritten to use awk's pattern-matching capabilities.

Comment 1 Bill Nottingham 2003-09-04 01:53:19 UTC
I believe most of these as of roughly Red Hat Linux 9.


Note You need to log in before you can comment on or make changes to this bug.